Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Interface WorldWindow

All Known Implementing Classes:
  WorldWindowGLCanvas, WorldWindowGLJPanel

    public interface WorldWindow

The top-level interface common to all toolkit-specific World Wind windows.

Method Summary
`void` | `addPositionListener(PositionListener listener)`
`void` | `addRenderingListener(RenderingListener listener)`
`void` | `addSelectListener(SelectListener listener)`
`InputHandler` | `getInputHandler()`
`Model` | `getModel()` Returns the window's current model.
`SceneController` | `getSceneController()` Returns the scene controller assocciated with this instance.
`View` | `getView()` Returns this window's current view.
`PickedObjectList` | `pick(Point pickPoint)`
`void` | `removePositionListener(PositionListener listener)`
`void` | `removeRenderingListener(RenderingListener listener)`
`void` | `removeSelectListener(SelectListener listener)`
`void` | `setInputHandler(InputHandler eventSource)`
`void` | `setModel(Model model)` Sets the model to display in this window.
`void` | `setModelAndView(Model model, View view)` Sets the model to display in this window and the view used to display it.
`void` | `setView(View view)` Sets the view to use when displaying this window's model.

Method Detail

### addPositionListener

    void addPositionListener(PositionListener listener)

### addRenderingListener

    void addRenderingListener(RenderingListener listener)

### addSelectListener

    void addSelectListener(SelectListener listener)

### getInputHandler

    InputHandler getInputHandler()

### getModel

    Model getModel()

  Returns the window's current model.

  Returns:
    the window's current model

### getSceneController

    SceneController getSceneController()

  Returns the scene controller assocciated with this instance.

  Returns:
    The scene controller associated with the instance, or null if no scene controller is associated.

### getView

    View getView()

  Returns this window's current view.

  Returns:
    the window's current view

### pick

    PickedObjectList pick(Point pickPoint)

### removePositionListener

    void removePositionListener(PositionListener listener)

### removeRenderingListener

    void removeRenderingListener(RenderingListener listener)

### removeSelectListener

    void removeSelectListener(SelectListener listener)

### setInputHandler

    void setInputHandler(InputHandler eventSource)

### setModel

    void setModel(Model model)

  Sets the model to display in this window. If `null` is specified for the model, the current model, if any, is disassociated with the window.

  Parameters:
    `model` - the model to display. May be `null`.

### setModelAndView

    void setModelAndView(Model model,
                         View view)

  Sets the model to display in this window and the view used to display it. If `null` is specified for the model, the current model, if any, is disassociated with the window. If `null` is specified for the view, the current view, if any, is disassociated with the window.

  Parameters:
    `model` - the model to display. May be`null`.
    `view` - the view to use to display this window's model. May be`null`.

### setView

    void setView(View view)

  Sets the view to use when displaying this window's model. If `null` is specified for the view, the current view, if any, is disassociated with the window.

  Parameters:
    `view` - the view to use to display this window's model. May be null.

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD